Explore Zulip as a free alternative to Slack for team collaboration
Status: Closed Start date: Nov 02, 2015

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: Internal Communication tools   

Infrastructure: Development, Pre-Production,

Production

  

Description

Zulip http://zulip.org is a team collaboration tool similar to slack or hipchat. But it's free software and gives the possibility to run a local

server.

It supports ldap for authentication too.

History

#1 - Nov 02, 2015 10:19 PM - Andrea Dell'Amico

A list of other alternatives: https://blog.okturtles.com/2015/11/five-open-source-slack-alternatives/

#2 - Mar 17, 2016 12:39 PM - Andrea Dell'Amico

Alternatives: mattermost http://www.mattermost.org/ and rocket.chat https://rocket.chat/

The first seems the more mature, but the ldap authentication is supported only by the commercial version.

#3 - Dec 16, 2016 06:41 PM - Andrea Dell'Amico

zulip1.d4science.org. IN A 146.48.123.55

zulip-db1.d4science.org. IN A 146.48.123.58

#4 - Jan 21, 2017 12:07 AM - Andrea Dell'Amico

- Status changed from New to In Progress

- Target version changed from UnSprintable to Internal Communication tools

- % Done changed from 0 to 80

A zulip server is available at https://zulip.d4science.org

It authenticates against ldap, part of the configuration is still manual.

#5 - Apr 19, 2017 07:37 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

- % Done changed from 80 to 100

It's working well, but its features are still inferior to slack. I'm using it mostly to setup some integrations.

We will try it again as a chat service when the interface reshape will be complete.
